/**** Fichiers d'inclusion ****/

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <stddef.h>
#include <fcntl.h>
#include <errno.h>
#include <string.h>
#include <termios.h>

#include <sys/types.h>
#include <sys/stat.h>
#include <sys/ioctl.h>
#include <fcntl.h>


/**** Constantes ****/


/**** Variables globales *****/

static struct termios sauvegarde;

/**** Prototype des fonctions locales *****/


/** Ouverture d'un port serie **/

int ouvertureSerie(char *periph,int vitesse)
{
	struct termios nouveau;
	int df=open(periph,O_RDWR|O_NOCTTY);
	if(df<0) return -1;

	tcgetattr(df,&sauvegarde); /* save current port settings */
	bzero(&nouveau,sizeof(nouveau));
	nouveau.c_cflag=CLOCAL|CREAD|vitesse|CS8;
	nouveau.c_iflag=0;
	nouveau.c_oflag=0;
	nouveau.c_lflag=0;
	nouveau.c_cc[VTIME]=0;
	nouveau.c_cc[VMIN]=1;
	tcflush(df, TCIFLUSH);
	tcsetattr(df,TCSANOW,&nouveau);

	return df;
}

/** Fermeture d'un port serie **/

void fermetureSerie(int df)
{
	tcsetattr(df,TCSANOW,&sauvegarde);
	close(df);
}
